<?php
defined('TYPO3_MODE') or die();

$TCA['tx_majordomo_conf'] = array (
  'ctrl' => $TCA['tx_majordomo_conf']['ctrl'],
  'interface' => array (
    'showRecordFieldList' => 'title,form_wrap_header,form_class_buttonleft,form_class_buttonright,form_size_input,form_tabindex,confirm_wrap_header,confirm_wrap_prompt,confirm_wrap_wrongmail,mdom_list,mdom_mail,mdom_owner,mdom_default_mail,mdom_forbidden_emails,sender_from,sender_mail,sender_signature,sender_charset'
  ),
  'feInterface' => $TCA['tx_majordomo_conf']['feInterface'],
  'columns' => array (
    'title' => array (
      'exclude' => 0,    
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.title',
      'config' => array (
        'type' => 'input',  
        'size' => '30',  
        'eval' => 'required',
      )
    ),
    'form_wrap_header' => array (
      'exclude' => 0,    
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.form_wrap_header',
      'config' => array (
        'type' => 'input',  
        'size' => '30',
        'eval' => 'trim',
        'default' => '<h4>|</h4>',
      )
    ),
    'form_class_buttons' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.form_class_buttons',
      'config' => array (
        'type' => 'input',  
        'size' => '30',
        'eval' => 'trim',
        'default' => 'tx-majordomo-pi1-buttons',
      )
    ),
    'form_class_buttonleft' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.form_class_buttonleft',
      'config' => array (
        'type' => 'input',  
        'size' => '30',
        'eval' => 'trim',
        'default' => 'tx-majordomo-pi1-button_left',
      )
    ),
    'form_class_buttonright' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.form_class_buttonright',
      'config' => array (
        'type' => 'input',  
        'size' => '30',
        'eval' => 'trim',
        'default' => 'tx-majordomo-pi1-button_right',
      )
    ),
    'form_size_input' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.form_size_input',
      'config' => array (
        'type'   => 'input',
        'size'   => '4',
        'max'    => '4',
        'eval'   => 'int',
        'checkbox' => '0',
        'range'  => array (
          'upper' => '255',
          'lower' => '10'
        ),
        'default' => 24
      )
    ),
    'form_tabindex' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.form_tabindex',
      'config' => array (
        'type' => 'input',  
        'size' => '30',
        'eval' => 'trim',
        'default' => '2|3|4',
      )
    ),
    'confirm_wrap_header' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.confirm_wrap_header',
      'config' => array (
        'type' => 'input',  
        'size' => '30',
        'eval' => 'trim',
        'default' => '<h1>|</h1>',
      )
    ),
    'confirm_wrap_prompt' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.confirm_wrap_prompt',
      'config' => array (
        'type' => 'input',  
        'size' => '30',
        'eval' => 'trim',
        'default' => '<p>|</p>',
      )
    ),
    'confirm_wrap_wrongmail' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.confirm_wrap_wrongmail',
      'config' => array (
        'type' => 'input',  
        'size' => '30',
        'eval' => 'trim',
        'default' => '<span style="color:red;font-weight:bold;">|</span>',
      )
    ),
    'mdom_list' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.mdom_list',
      'config' => array (
        'type' => 'input',
        'size' => '30',
        'eval' => 'trim, required',
      )
    ),
    'mdom_mail' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.mdom_mail',
      'config' => array (
        'type' => 'input',
        'size' => '30',
        'eval' => 'trim',
        'default' => 'majordomo@provider.com',
      )
    ),
    'mdom_owner' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.mdom_owner',
      'config' => array (
        'type' => 'input',
        'size' => '30',
        'eval' => 'trim',
        'default' => 'owner-list@my-domain.com',
      )
    ),
    'mdom_default_mail' => array (
      'exclude' => 0,    
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.mdom_default_mail',
      'config' => array (
        'type' => 'input',
        'size' => '30',
        'default' => 'my.name@my-domain.com',
      )
    ),
    'mdom_forbidden_emails' => array (
      'exclude' => 0,    
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.mdom_forbidden_emails',
      'config' => array (
        'type' => 'input',
        'size' => '30',
        'default' => 'newsletter@my-domain.com, owner-list@my-domain.com',
      )
    ),
    'sender_from' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.sender_from',
      'config' => array (
        'type' => 'input',
        'size' => '30',
        'eval' => 'trim',
        'default' => 'name <name@my-domain.com>',
      )
    ),
    'sender_name' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.sender_name',
      'config' => array (
        'type' => 'input',
        'size' => '30',
        'eval' => 'trim',
      )
    ),
    'sender_signature' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.sender_signature',
      'config' => array (
        'type' => 'text',
        'renderType' => 't3editor',
        'format' => 'html',
        'cols' => '24',
        'rows' => '10',
        'eval' => 'trim',
      )
    ),
    'sender_charset' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.sender_charset',
      'config' => array (
        'type' => 'radio',
        'items' => array (
          array('LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.sender_charset.I.0', '0'),
          array('LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.sender_charset.I.1', '1'),
        ),
        'default' => 0,
      ),
    ),
  ),
  'types' => array (
    '0' => array('showitem' => '--div--;LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.div_data,title;;;;2-2-2, --div--;LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.div_form,form_wrap_header, form_class_buttons, form_class_buttonleft, form_class_buttonright, form_size_input, form_tabindex;;;;3-3-3, --div--;LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.div_confirm,confirm_wrap_header, confirm_wrap_prompt, confirm_wrap_wrongmail;;;;4-4-4, --div--;LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.div_mdom,mdom_list, mdom_mail, mdom_owner, mdom_default_mail, mdom_forbidden_emails;;;;5-5-5, --div--;LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tx_majordomo_conf.div_mail,sender_from,sender_name, sender_signature, sender_charset')
  ),
  'palettes' => array (
    '1' => array('showitem' => '')
  )
);