<?php
defined('TYPO3_MODE') or die();


/**
 * TCA Configuration
 */
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_majordomo_conf');

/**
 * TypoScript: Include Static Template
 */
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript/', 'Majordomo');


/**
 * Flexform Configuration
 */
// Remove the default tt_content fields layout, select_key, pages and recursive.
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist'][$_EXTKEY . '_pi1'] = 'layout,select_key,pages,recursive';
// Display the field pi_flexform
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist'][$_EXTKEY . '_pi1'] = 'pi_flexform';
// Register our file with the flexform structure
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
    $_EXTKEY . '_pi1',
    'FILE:EXT:' . $_EXTKEY . '/Configuration/Flexforms/flexform.xml'
);
// Add the Flexform to the Plugin List
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
    array(
        'LLL:EXT:majordomo/Resources/Private/Language/locallang_db.xlf:tt_content.list_type_pi1',
        $_EXTKEY . '_pi1',
        'EXT:majordomo/ext_icon.gif'
    ),
    'list_type'
);
