<?php
namespace Netzmacher\Majordomo;

/***************************************************************
*  Copyright notice
*
*  (c) 2007-2017 - Dirk Wildt <wildt.at.die-netzmacher.de>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/


/**
 * The class tx_majordomo_pi1_confirm bundles all methods for the content type confirmation.
 * It pulls the data from the flexform and out of the TypoScript and evaluates it.
 *
 * @author    Dirk Wildt <wildt.at.die-netzmacher.de>
 * @package    TYPO3
 * @subpackage    tx_majordomo_pi1
 */
class tx_majordomo_pi1_confirm
{

  /////////////////////////////////////////////////
  //
  // Vars set by methods in the current class

  protected $arrConf = FALSE;
  // [Array] Array with the configuration data from the flexform and from TypoScript.
  //   It will be stored in the parent object too.

  // Vars set by methods in the current class


  /////////////////////////////////////////////////
  //
  // Vars set by the Constructor

  public $pObj = FALSE;
  // [Object] Parent Object - Initiated by the constructor
  // Vars set by the Constructor


  /////////////////////////////////////////////////
  //
  // Vars set by the Parent Object

    public $conf = FALSE;
  // [Array] The TypoScript Configuration Array of the Parent Object
  // Vars set by the Parent Object
}